LibreOffice LibreOffice 6.1 SDK API Reference

Public Member Functions | List of all members
XSAXSerializable Interface Reference

serializes a DOM tree by generating SAX events. More...

`import"XSAXSerializable.idl";`

## Public Member Functions
void | serialize ([in] com::sun::star::xml::sax::XDocumentHandler handler, [in] sequence< com::sun::star::beans::StringPair > namespaces) raises ( com::sun::star::xml::sax::SAXException )
| serializes an object (e.g. More...

## Detailed Description

serializes a DOM tree by generating SAX events.

Since
  OOo 3.0

## Member Function Documentation

## ◆ serialize()

void serialize | ( | [in] com::sun::star::xml::sax::XDocumentHandler | handler,
|  | [in] sequence< com::sun::star::beans::StringPair > | namespaces
| ) |  |
raises | ( | com::sun::star::xml::sax::SAXException
| ) |  |

serializes an object (e.g.

a DOM tree) that represents an XML document by generating SAX events.

Parameters

  handler | the SAX event handler that should receive the generated events
  namespaces | a list of namespace declarations that will be added to the root element node of the XML document

This is necessary mostly because the DOM implementation does not permit attaching namespaces declarations directly to nodes, which may lead to duplicate namespace declarations on export, and thus larger documents. Note that the first part of each tuple is the prefix, e.g. "office", and the second is the full namespace URI.

Exceptions

  com::sun::star::xml::sax::SAXException | if serializing the XML document fails

The documentation for this interface was generated from the following file:

- com/sun/star/xml/sax/XSAXSerializable.idl